#!/usr/bin/env python

import PyD_alpha_init as self
from PyD_alpha_init import *

#==================================================================================================================

def help():

    print ""
    print "==========================================    PyD_alpha    =========================================="
    print ""
    print "Usage:"
    print ""
    print "    PyD_alpha <operation> --options"
    print ""
    print "Operations:"
    print ""
    print "    check .................. : Checking UVES exposure settings"
    print "    jumps .................. : Plot curves for different chi-square jump discarding criteria"
    print "    compare ................ : Compare plots between distortion models"
    print "    dipole ................. : Perform alpha dipole fitting"
    print "    plots .................. : Multiplots of UVES and HIRES distortion models"
    print "    results ................ : Tabulate da/a measurements, dipole fit and plots"
    print "    run .................... : Run fit for all listed systems"
    print "    supercomputer .......... : Setup joblist and process results on supercomputer"
    print "    whitedwarf ............. : Distortion plots for White Dwarf work"
    print ""
    print "Possible 'run', 'results' and 'plots' options:"
    print ""
    print "    --allrep ............... : Perform all VPFIT iterations"
    print "    --arm .................. : Arm to consider for UVES systems [ blue | red | redblue | all ]"
    print "    --catchup .............. : Only process unfinished systems"
    print "    --chisq ................ : Use vp_setup.dat with more accurate chi-square threshold"
    print "    --clean ................ : Clean simulated system using specific conditions"
    print "    --colfix ............... : Fix the column density parameter for distortion work"
    print "    --combined ............. : Perform alpha dipole fitting on combine HIRES+UVES results"
    print "    --compress ............. : Compress the model system-test-model folder to reduce supercomputer space"
    print "    --distortion ........... : Distortion value to apply"
    print "    --distspec ............. : Distort artificial spectra instead of applying shift in fort.13"
    print "    --external ............. : Run the code in the external hard drive in Chromebook Ubuntu"
    print "    --fdd (--fdd2) ......... : Use customize derivative stepsizes for VPFIT runs"
    print "    --finalmodel ........... : Use final turbulent and thermal models as first guesses"
    print "    --illcond .............. : Running VPFIT with ill-conditioning"
    print "    --instrument ........... : Instrument used in sample [ hires | uves ]"
    print "    --iterone .............. : Only perform one VPFIT iteration"
    print "    --loop ................. : Loop operation for all distortion slopes"
    print "    --mgisotope ............ : Fit for non-terrestrial Mg abundances"
    print "    --multiz ............... : Run the fit on the multi-absorber models"
    print "    --newlist .............. : Create new forlist file"
    print "    --noalpha .............. : Fix alpha to zero for all components"
    print "    --nofit ................ : Don't run the fits in VPFIT or alpha dipole fitting"
    print "    --plot ................. : Plot da/a measurements for runs"
    print "    --previous ............. : Using previous slope best fitting model as first guess"
    print "    --repeat ............... : Re-run VPFIT multiple times using previous final model as first guesses"
    print "    --reproduce ............ : Reproduce the published dipole results from the values used by Julian King"
    print "    --raijin ............... : Run the code on NCI Raijin cluster"
    print "    --selection ............ : If not published measurements only, specify sample name or 'all'"
    print "    --server ............... : Run the code on the mounted ASTRO directory"
    print "    --shape ................ : Distortion type to apply to HIRES spectra [ amplitude | slope ]"
    print "    --threshold ............ : Discard systems systems with high chi-square jumps"
    print "    --vpfit ................ : VPFIT version to use [ 9.5-king | 9.5 | 10 ]"
    print "    --whitmore ............. : Apply distortion correction using Whitmore model"
    print "    --zcut ................. : Split HIRES absorbers into 2 redshift samples"
    print ""
    print "Possible 'check' options:"
    print ""
    print "    --chisq ................ : Check chi-square jumps and record absorber"
    print "    --fort ................. : Check for errors or inconsistency in the fort file results"
    print "    --uves-arm ............. : Tabulate q variability in UVES according to arm selection"
    print "    --uves-fitreg .......... : Compare exposure coverage for each fitting regions using TS and FSR edges"
    print "    --uves-head ............ : List wavelength settings used over all UVES science exposures"
    print ""
    print "Possible 'jumps' options:"
    print ""
    print "    --combined ............. : Comnined list of discarded systems from Whitmore and our model"
    print "    --dipole ............... : Evolution of dipole chi-square for different discarding criteria"
    print "    --discard .............. : Plot best fitting model for global chi-square vs. number of discarded systems"
    print "    --telescope ............ : Global chi-square for each instrument"
    print "    --models ............... : Separate thermal, turbulent and combine fitting results"
    print "    --parabola ............. : Fit parabola to the results"
    print "    --show ................. : Print global chi-square results for each distortion mode"
    print "    --sigmarand ............ : Evolution of sigma-rand for different discarding criteria"
    print "    --whitmore ............. : Use fit results from Whitmore correction function"
    print ""
    print "Possible 'compare' options:"
    print ""
    print "    --alpha ................ : Compare plot between published and others da/a results"
    print "    --gif-alpha ............ : Gif animated plots between thermal and turbulent da/a results"
    print "    --gif-chisq ............ : Gif animated plots between thermal and turbulent chi squares"
    print "    --gif-ndf .............. : Gif animated plots between thermal and turbulent number of degrees of freedom"
    print "    --king ................. : Compare plots between Murphy and King's HIRES values"
    print ""
    print "Possible 'dipole' options:"
    print ""
    print "    --bestdist ............. : Perform dipole fitting using the best distortion model"
    print "    --reproduce ............ : Reproduce published dipole results using original fort.13"
    print ""
    print "Possible 'plots' options:"
    print ""
    print "    --redshift ............. : Plot da/a vs. redshift"
    print "    --bin .................. : Specify binning for da/a plots"
    print "    --curves ............... : Chi-square and alpha distortion curves for one or all absorption system(s)"
    print "    --distrib .............. : Independent distribution plots of MgII/FeII and distortion slopes"
    print "    --final ................ : Produce final plots for publication"
    print "    --first ................ : Original distortions plots for UVES and HIRES samples"
    print "    --models ............... : Plot all distortion models for UVES and HIRES"
    print "    --onesys ............... : Plot chi-square and alpha distortion curves for one absorption system"
    print "    --order ................ : Change the order of the parabolic model"
    print "    --parabola ............. : Fit parabola to the results"
    print "    --reset ................ : Reset axis edges to default limit"
    print "    --show ................. : Print global chi-square results for each distortion mode"
    print "    --slopes ............... : Analytic plots of the slopes against different variables"
    print "    --test ................. : Specify test ID of the fitting run to analyse"
    print "    --time ................. : Plot best fitting distortion slope vs. average observation date for some quasars"
    print "    --weighted ............. : Plot weighted chi-square curve over all absorption system"
    print "    --wmin ................. : Minimum value"
    print "    --wmax ................. : Maximum value"
    print ""
    print "Possible 'supercomputer' options:"
    print ""
    print "    --bashlist ............. : Create bash list for supercomputer"
    print "    --clean ................ : Check which systems as yet to be calculated"
    print "    --include .............. : Move results from supercomputer to local path"
    print "    --prepare .............. : Prepare systems folder to upload on the supercomputer"
    print ""
    print "Possible 'whitedwarf' options:"
    print ""
    print "    --run .................. : Fit distortion models for White Dwarf work"
    print "    --plots ................ : Plot distortion results from White Dwarf fits"
    print ""
    print "==================================================================================================="
    print ""
    
    quit()
    
#==================================================================================================================
